Page MenuHomePhabricator

TitlesMultiselectWidget for Partial blocks suggests and accepts non-existent (aka redlink) pages
Closed, ResolvedPublic1 Story Points

Description

The 'Pages' text input box suggests and accepts non-existent (aka redlink) pages (example). These are rejected on submission, but this is bad design.

Acceptance criteria

  • The error messages should continue to appear if the admin somehow manages to get these through
  • The 'Pages' input field should not suggest redlink pages
  • The 'Pages' input field should not accept redlink pages

Event Timeline

TBolliger created this task.Nov 2 2018, 8:51 PM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptNov 2 2018, 8:51 PM
TBolliger triaged this task as High priority.Nov 2 2018, 8:51 PM
TBolliger set the point value for this task to 1.
TBolliger moved this task from Backlog to User blocking on the MediaWiki-User-management board.
jrbs added a subscriber: jrbs.Nov 2 2018, 8:53 PM

I'm not familiar with the technical name for the unit that does it (sorry) but UploadWizard handles this when suggesting categories quite well, as does VisualEditor. Code probably lives somewhere therefore.

Thanks @jrbs! Luckily for us, this is a simple config change for our use of the widget.

Change 472451 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/core@master] TitlesMultiselectWidget: pass through additional configs

https://gerrit.wikimedia.org/r/472451

Tchanders claimed this task.Nov 8 2018, 8:05 PM

Change 472451 merged by jenkins-bot:
[mediawiki/core@master] TitlesMultiselectWidget: pass through additional configs

https://gerrit.wikimedia.org/r/472451

dbarratt closed this task as Resolved.Nov 14 2018, 7:56 PM